# License: see LICENSE.txt
#  Jabber4R - Jabber Instant Messaging Library for Ruby
#  Copyright (C) 2002  Rich Kilmer <rich@infoether.com>
# 

require 'jabber4r/jabber4r'

(puts "subscription.rb 'account' 'host' 'password' 'resource'") & exit if ARGV.size < 4#to use...change the "whatever" and the first and last name

account = ARGV[0]
host = ARGV[1]
resource = ARGV[2]
account_password = ARGV[3]

t = Thread.current
begin
  session = Jabber::Session.bind_digest("#{account}@#{host}/#{resource}", "#{account_password}")
rescue
  puts "Account does not exist: #{account}@#{host}/#{resource}"
  exit
end

#accept all subscriptions
session.set_subscription_handler do |subscription|
  puts subscription.type
  if subscription.type==:subscribe
    puts "subscription request from #{subscription.from}"
    subscription.accept
    t.wakeup
  end
end

#send "shutdown" as a message to shut down handling subscriptions
listenerid = session.add_message_listener do |message|
  puts message.body
  if message.body=="shutdown"
    t.wakeup
  end
end
puts "#{account} waiting..."
Thread.stop
sleep 2
session.release
